image: alpine/edge
oauth: pages.sr.ht/PAGES:RW
packages:
- hut
- linux-headers
- ruby-dev
- ruby-json
- ruby-jekyll
- ruby-bundler
environment:
  site: paper.us.eu.org
sources:
  - hg+https://hg.paper.us.eu.org/web
tasks:
- package: |
    cd web
    bundle config set --local path ".bundler"
    bundle install
    bundle exec jekyll build
    tar -C _site -cvz . > ../site.tar.gz
- upload: |
    hut pages publish -d $site site.tar.gz
